{
    "path": "$OET_PATH/testcases/function_test/pkg_test/PackageKit/PackageKit",
    "machine num": 1,
    "cases": [
        {
            "name": "test_PackageKit_pkcon_filter",
            "desc": "测试 pkcon 命令设置过滤器"
        },
        {
            "name": "test_PackageKit_pkcon_allow_reinstall",
            "desc": "测试 pkcon 命令允许重新安装软件包"
        },
        {
            "name": "test_PackageKit_pkcon_plain",
            "desc": "测试 pkcon 命令的纯文本输出模式"
        },
        {
            "name": "test_PackageKit_pkcon_v",
            "desc": "测试 pkcon 命令的详细调试信息输出"
        },
        {
            "name": "test_PackageKit_pkcon_verbose",
            "desc": "测试 pkcon 命令的详细调试信息输出"
        },
        {
            "name": "test_PackageKit_pkcon_p_v",
            "desc": "测试 pkcon 命令组合使用纯文本输出和详细调试信息参数"
        },
        {
            "name": "test_PackageKit_pkcon_n_c",
            "desc": "测试 pkcon 命令组合使用后台运行和设置缓存年龄参数"
        },
        {
            "name": "test_PackageKit_pkmon_h",
            "desc": "测试pkmon的帮助选项-h"
        },
        {
            "name": "test_PackageKit_pkmon_help",
            "desc": "测试pkmon的帮助选项--help"
        },
        {
            "name": "test_PackageKit_pkmon_help_all",
            "desc": "测试pkmon的帮助选项--help-all"
        },
        {
            "name": "test_PackageKit_pkmon_version",
            "desc": "测试pkmon的版本信息选项--version"
        },
        {
            "name": "test_PackageKit_function_install_pkg",
            "desc": "测试使用pkcon安装一个软件包"
        },
        {
            "name": "test_PackageKit_function_list_installed",
            "desc": "测试使用pkcon列出所有已安装的软件包"
        },
        {
            "name": "test_PackageKit_pkcon_version",
            "desc": "测试 pkcon 的版本信息显示功能"
        },
        {
            "name": "test_PackageKit_pkcon_y",
            "desc": "测试 pkcon 非交互式安装软件包的功能"
        },
        {
            "name": "test_PackageKit_pkmon__h",
            "desc": "测试pkmon命令显示帮助信息"
        },
        {
            "name": "test_PackageKit_function_remove",
            "desc": "测试使用pkcon卸载软件包"
        }
    ]
}